[Cluster-devel] cluster/rgmanager/src/resources clusterfs.sh

lhh at sourceware.org lhh at sourceware.org
Fri Oct 20 20:36:02 UTC 2006


CVSROOT:	/cvs/cluster
Module name:	cluster
Changes by:	lhh at sourceware.org	2006-10-20 20:36:02

Modified files:
	rgmanager/src/resources: clusterfs.sh 

Log message:
	Fix 202637 - error reporting missing from some agents

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/clusterfs.sh.diff?cvsroot=cluster&r1=1.12&r2=1.13

--- cluster/rgmanager/src/resources/clusterfs.sh	2006/10/16 14:39:02	1.12
+++ cluster/rgmanager/src/resources/clusterfs.sh	2006/10/20 20:36:02	1.13
@@ -890,12 +890,16 @@
 	;;
 status|monitor)
   	isMounted ${OCF_RESKEY_device} ${OCF_RESKEY_mountpoint}
- 	[ $? -ne $YES ] && exit $OCF_ERR_GENERIC
+ 	if [ $? -ne $YES ]; then
+		ocf_log err "fs:${OCF_RESKEY_name}: ${OCF_RESKEY_device} is not mounted on ${OCF_RESKEY_mountpoint}"
+		exit $OCF_ERR_GENERIC
+	fi
 
  	isAlive ${OCF_RESKEY_mountpoint}
- 	[ $? -ne $YES ] && exit $OCF_ERR_GENERIC
- 	
-	exit 0
+ 	[ $? -eq $YES ] && exit 0
+
+	ocf_log err "fs:${OCF_RESKEY_name}: Mount point is not accessible!"
+	exit $OCF_ERR_GENERIC
 	;;
 restart)
 	stopFilesystem




More information about the Cluster-devel mailing list